﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;
using Infragistics.Controls.Lists;

namespace TilePaneAndXamGrid
{
    public partial class MainPage : UserControl
    {
        private readonly TilePane _selectedTilePane;

        public MainPage()
        {
            InitializeComponent();

            tileView.DataContext = this;

            Panes = new ObservableCollection<TilePane>();
            _selectedTilePane = new TilePane();
            var control = new XamGridControl();
            control.OnRotate += control_OnRotate;
            _selectedTilePane.Content = control;
            Panes.Add(_selectedTilePane);

            tileView.ItemsSource = Panes;
        }

        void control_OnRotate(object sender, System.EventArgs e)
        {
            VisualStateManager.GoToState(_selectedTilePane, "FirstFlipAnimation", true);
            VisualStateManager.GoToState(_selectedTilePane, "SecondFlipAnimation", true);
        }


        public ObservableCollection<TilePane> Panes { get; set; }
    }
}