﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;

namespace TilePaneAndXamGrid
{
    public partial class XamGridControl : UserControl
    {
        public event EventHandler OnRotate;

        public XamGridControl()
        {
            InitializeComponent();

            xamGrid.DataContext = this;
        }

        private readonly IEnumerable<TestClass> _items = new List<TestClass> { new TestClass { FirstName = "Ivan", LastName = "Ivanov" } };
        public IEnumerable<TestClass> Items
        {
            get { return _items; }
        }

        private void RotateFirstBtnClick(object sender, System.Windows.RoutedEventArgs e)
        {
            InvokeRotate();
            VisualStateManager.GoToState(this, "FirstState", true);
        }

        private void RotateSecondBtnClick(object sender, System.Windows.RoutedEventArgs e)
        {
            InvokeRotate();
            VisualStateManager.GoToState(this, "SecondState", true);
        }

        private void InvokeRotate()
        {
            if (OnRotate != null)
            {
                OnRotate(this, new EventArgs());
            }
        }
    }
}